Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 2318)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 2319)
@@ -514,21 +514,10 @@
 	else
 	    # Restart files have to be created
-	    echo "Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
-	    if [ ${DRYRUN} -le 2 ] ; then
-                ##-- suppression of ozone file construction --
-		cp config.def config.def.save
-		LMDZ_sed config.def read_climoz 0
-		IGCM_sys_Cp ${R_EXE}/create_etat0_limit.e ${RUN_DIR}/.
-		if [ ${DRYRUN} -le 1 ] ; then
-		    ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e
-		    IGCM_sys_Put_Out start.nc    ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_start.nc
-		    IGCM_sys_Put_Out startphy.nc ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_startphy.nc
-		fi
-		IGCM_sys_Mv config.def.save config.def
-	    else
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated"
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated for DRYRUN = " $DRYRUN >> stack
-	    fi
-	fi
+            # Old option. Now removed.
+            echo "REMOVED OPTION: Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
+            echo "You must now create start.nc and startphy.nc before launching the model or use restart files"
+            IGCM_debug_Exit "ATM_Update: start.nc and startphy.nc files are missing!"
+            IGCM_debug_Verif_Exit
+        fi
     fi
 
Index: CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 2318)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 2319)
@@ -514,21 +514,10 @@
 	else
 	    # Restart files have to be created
-	    echo "Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
-	    if [ ${DRYRUN} -le 2 ] ; then
-                ##-- suppression of ozone file construction --
-		cp config.def config.def.save
-		LMDZ_sed config.def read_climoz 0
-		IGCM_sys_Cp ${R_EXE}/create_etat0_limit.e ${RUN_DIR}/.
-		if [ ${DRYRUN} -le 1 ] ; then
-		    ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e
-		    IGCM_sys_Put_Out start.nc    ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_start.nc
-		    IGCM_sys_Put_Out startphy.nc ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_startphy.nc
-		fi
-		IGCM_sys_Mv config.def.save config.def
-	    else
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated"
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated for DRYRUN = " $DRYRUN >> stack
-	    fi
-	fi
+            # Old option. Now removed.
+            echo "REMOVED OPTION: Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
+            echo "You must now create start.nc and startphy.nc before launching the model or use restart files"
+            IGCM_debug_Exit "ATM_Update: start.nc and startphy.nc files are missing!"
+            IGCM_debug_Verif_Exit
+        fi
     fi
 
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 2318)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 2319)
@@ -514,21 +514,10 @@
 	else
 	    # Restart files have to be created
-	    echo "Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
-	    if [ ${DRYRUN} -le 2 ] ; then
-                ##-- suppression of ozone file construction --
-		cp config.def config.def.save
-		LMDZ_sed config.def read_climoz 0
-		IGCM_sys_Cp ${R_EXE}/create_etat0_limit.e ${RUN_DIR}/.
-		if [ ${DRYRUN} -le 1 ] ; then
-		    ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e
-		    IGCM_sys_Put_Out start.nc    ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_start.nc
-		    IGCM_sys_Put_Out startphy.nc ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_startphy.nc
-		fi
-		IGCM_sys_Mv config.def.save config.def
-	    else
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated"
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated for DRYRUN = " $DRYRUN >> stack
-	    fi
-	fi
+            # Old option. Now removed.
+            echo "REMOVED OPTION: Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
+            echo "You must now create start.nc and startphy.nc before launching the model or use restart files"
+            IGCM_debug_Exit "ATM_Update: start.nc and startphy.nc files are missing!"
+            IGCM_debug_Verif_Exit
+        fi
     fi
 
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 2318)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 2319)
@@ -514,21 +514,10 @@
 	else
 	    # Restart files have to be created
-	    echo "Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
-	    if [ ${DRYRUN} -le 2 ] ; then
-                ##-- suppression of ozone file construction --
-		cp config.def config.def.save
-		LMDZ_sed config.def read_climoz 0
-		IGCM_sys_Cp ${R_EXE}/create_etat0_limit.e ${RUN_DIR}/.
-		if [ ${DRYRUN} -le 1 ] ; then
-		    ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e
-		    IGCM_sys_Put_Out start.nc    ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_start.nc
-		    IGCM_sys_Put_Out startphy.nc ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_startphy.nc
-		fi
-		IGCM_sys_Mv config.def.save config.def
-	    else
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated"
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated for DRYRUN = " $DRYRUN >> stack
-	    fi
-	fi
+            # Old option. Now removed.
+            echo "REMOVED OPTION: Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
+            echo "You must now create start.nc and startphy.nc before launching the model or use restart files"
+            IGCM_debug_Exit "ATM_Update: start.nc and startphy.nc files are missing!"
+            IGCM_debug_Verif_Exit
+        fi
     fi
 
Index: CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver	(revision 2318)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver	(revision 2319)
@@ -514,21 +514,10 @@
 	else
 	    # Restart files have to be created
-	    echo "Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
-	    if [ ${DRYRUN} -le 2 ] ; then
-                ##-- suppression of ozone file construction --
-		cp config.def config.def.save
-		LMDZ_sed config.def read_climoz 0
-		IGCM_sys_Cp ${R_EXE}/create_etat0_limit.e ${RUN_DIR}/.
-		if [ ${DRYRUN} -le 1 ] ; then
-		    ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e
-		    IGCM_sys_Put_Out start.nc    ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_start.nc
-		    IGCM_sys_Put_Out startphy.nc ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_startphy.nc
-		fi
-		IGCM_sys_Mv config.def.save config.def
-	    else
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated"
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated for DRYRUN = " $DRYRUN >> stack
-	    fi
-	fi
+            # Old option. Now removed.
+            echo "REMOVED OPTION: Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
+            echo "You must now create start.nc and startphy.nc before launching the model or use restart files"
+            IGCM_debug_Exit "ATM_Update: start.nc and startphy.nc files are missing!"
+            IGCM_debug_Verif_Exit
+        fi
     fi
 
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2318)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2319)
@@ -514,21 +514,10 @@
 	else
 	    # Restart files have to be created
-	    echo "Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
-	    if [ ${DRYRUN} -le 2 ] ; then
-                ##-- suppression of ozone file construction --
-		cp config.def config.def.save
-		LMDZ_sed config.def read_climoz 0
-		IGCM_sys_Cp ${R_EXE}/create_etat0_limit.e ${RUN_DIR}/.
-		if [ ${DRYRUN} -le 1 ] ; then
-		    ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e
-		    IGCM_sys_Put_Out start.nc    ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_start.nc
-		    IGCM_sys_Put_Out startphy.nc ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_startphy.nc
-		fi
-		IGCM_sys_Mv config.def.save config.def
-	    else
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated"
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated for DRYRUN = " $DRYRUN >> stack
-	    fi
-	fi
+            # Old option. Now removed.
+            echo "REMOVED OPTION: Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
+            echo "You must now create start.nc and startphy.nc before launching the model or use restart files"
+            IGCM_debug_Exit "ATM_Update: start.nc and startphy.nc files are missing!"
+            IGCM_debug_Verif_Exit
+        fi
     fi
 
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2318)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2319)
@@ -514,21 +514,10 @@
 	else
 	    # Restart files have to be created
-	    echo "Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
-	    if [ ${DRYRUN} -le 2 ] ; then
-                ##-- suppression of ozone file construction --
-		cp config.def config.def.save
-		LMDZ_sed config.def read_climoz 0
-		IGCM_sys_Cp ${R_EXE}/create_etat0_limit.e ${RUN_DIR}/.
-		if [ ${DRYRUN} -le 1 ] ; then
-		    ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e
-		    IGCM_sys_Put_Out start.nc    ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_start.nc
-		    IGCM_sys_Put_Out startphy.nc ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_startphy.nc
-		fi
-		IGCM_sys_Mv config.def.save config.def
-	    else
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated"
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated for DRYRUN = " $DRYRUN >> stack
-	    fi
-	fi
+            # Old option. Now removed.
+            echo "REMOVED OPTION: Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
+            echo "You must now create start.nc and startphy.nc before launching the model or use restart files"
+            IGCM_debug_Exit "ATM_Update: start.nc and startphy.nc files are missing!"
+            IGCM_debug_Verif_Exit
+        fi
     fi
 
Index: CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver	(revision 2318)
+++ CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver	(revision 2319)
@@ -514,21 +514,10 @@
 	else
 	    # Restart files have to be created
-	    echo "Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
-	    if [ ${DRYRUN} -le 2 ] ; then
-                ##-- suppression of ozone file construction --
-		cp config.def config.def.save
-		LMDZ_sed config.def read_climoz 0
-		IGCM_sys_Cp ${R_EXE}/create_etat0_limit.e ${RUN_DIR}/.
-		if [ ${DRYRUN} -le 1 ] ; then
-		    ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e
-		    IGCM_sys_Put_Out start.nc    ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_start.nc
-		    IGCM_sys_Put_Out startphy.nc ${R_OUT_ATM_R}/${config_UserChoices_JobName}_${PeriodDateBegin}_startphy.nc
-		fi
-		IGCM_sys_Mv config.def.save config.def
-	    else
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated"
-		echo "EXECUTION of ${HOST_MPIRUN_COMMAND} -np 1 ./create_etat0_limit.e simulated for DRYRUN = " $DRYRUN >> stack
-	    fi
-	fi
+            # Old option. Now removed.
+            echo "REMOVED OPTION: Run create_etat0_limit.e to create restart files start.nc and startphy.nc for LMDZ"
+            echo "You must now create start.nc and startphy.nc before launching the model or use restart files"
+            IGCM_debug_Exit "ATM_Update: start.nc and startphy.nc files are missing!"
+            IGCM_debug_Verif_Exit
+        fi
     fi
 