Index: modipsl/trunk/util/AA_make.gdef
===================================================================
--- modipsl/trunk/util/AA_make.gdef	(revision 2357)
+++ modipsl/trunk/util/AA_make.gdef	(revision 2359)
@@ -168,60 +168,60 @@
 #-Q- cur_mono  NCDF_LIB = -L$(NETCDF_LIB_DIR) -lnetcdff -lnetcdf
 #-Q- cur_mono  #-
-#-Q- ifort_ciclad   #-
-#-Q- ifort_ciclad   #- Global definitions for ciclad, ifort
-#-Q- ifort_ciclad LIB_MPI = MPI1
-#-Q- ifort_ciclad LIB_MPI_BIS = MPI1
-#-Q- ifort_ciclad FCM_ARCH = ifort_CICLAD
-#-Q- ifort_ciclad   M_K = make
-#-Q- ifort_ciclad   P_C = cpp
-#-Q- ifort_ciclad   P_O = -P -C -traditional $(P_P)
-#-Q- ifort_ciclad   F_C = /usr/lib64/openmpi/1.4.5-ifort/bin/mpif90 -c -cpp
-#-Q- ifort_ciclad   #-D- MD    F_D = -g
-#-Q- ifort_ciclad   #-D- MN    F_D =
-#-Q- ifort_ciclad   #-P- I4R4  F_P = -i4
-#-Q- ifort_ciclad   #-P- I4R8  F_P = -i4 -r8
-#-Q- ifort_ciclad   #-P- I8R8  F_P = -i8 -r8
-#-Q- ifort_ciclad   F_O = -DCPP_PARA -O3 $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR) -fp-model precise
-#-Q- ifort_ciclad   F_L = /usr/lib64/openmpi/1.4.5-ifort/bin/mpif90
-#-Q- ifort_ciclad   M_M = 0
-#-Q- ifort_ciclad   L_X = 0
-#-Q- ifort_ciclad   L_O =
-#-Q- ifort_ciclad   A_C = ar -rs
-#-Q- ifort_ciclad   A_G = ar -x
-#-Q- ifort_ciclad   C_C = cc -c
-#-Q- ifort_ciclad   C_O =
-#-Q- ifort_ciclad   C_L = cc
-#-Q- ifort_ciclad   #-
-#-Q- ifort_ciclad   NCDF_INC = /opt/netcdf42/ifort/include
-#-Q- ifort_ciclad   NCDF_LIB = -L/opt/netcdf42/ifort/lib -lnetcdf -lnetcdff
-#-Q- gfortran_ciclad   #-
-#-Q- gfortran_ciclad   #- Global definitions for ciclad, gfortran
-#-Q- gfortran_ciclad LIB_MPI = MPI1
-#-Q- gfortran_ciclad LIB_MPI_BIS = MPI1
-#-Q- gfortran_ciclad FCM_ARCH = gfortran_CICLAD
-#-Q- gfortran_ciclad   M_K = make
-#-Q- gfortran_ciclad   P_C = cpp
-#-Q- gfortran_ciclad   P_O = -P -C -traditional $(P_P)
-#-Q- gfortran_ciclad   F_C = /usr/lib64/openmpi/1.4.5-gfortran/bin/mpif90 -c
-#-Q- gfortran_ciclad   #-D- MD    F_D = -g -Wall -fbounds-check -pedantic -finit-real=nan
-#-Q- gfortran_ciclad   #-D- MN    F_D =
-#-Q- gfortran_ciclad   #-P- I4R4  F_P =
-#-Q- gfortran_ciclad   #-P- I4R8  F_P = -fdefault-real-8
-#-Q- gfortran_ciclad   #-P- I8R8  F_P = -fdefault-integer-8 -fdefault-real-8
-#-Q- gfortran_ciclad   w_w = -DCPP_PARA -O3 -funroll-all-loops $(F_D) $(F_P) -I$(MODDIR)
-#-Q- gfortran_ciclad   F_O = $(w_w) -J$(MODDIR)
-#-Q- gfortran_ciclad   F_L = /usr/lib64/openmpi/1.4.5-gfortran/bin/mpif90
-#-Q- gfortran_ciclad   M_M = 0
-#-Q- gfortran_ciclad   L_X = 0
-#-Q- gfortran_ciclad   L_O =
-#-Q- gfortran_ciclad   A_C = ar -rs
-#-Q- gfortran_ciclad   A_G = ar -x
-#-Q- gfortran_ciclad   C_C = cc -c
-#-Q- gfortran_ciclad   C_O =
-#-Q- gfortran_ciclad   C_L = cc
-#-Q- gfortran_ciclad   #-
-#-Q- gfortran_ciclad   NCDF_INC = /opt/netcdf42/gfortran/include
-#-Q- gfortran_ciclad   NCDF_LIB = -L/opt/netcdf42/gfortran/lib -lnetcdf -lnetcdff
-#-Q- gfortran_ciclad   #-
+#-Q- ifort_CICLAD   #-
+#-Q- ifort_CICLAD   #- Global definitions for ciclad, ifort
+#-Q- ifort_CICLAD LIB_MPI = MPI1
+#-Q- ifort_CICLAD LIB_MPI_BIS = MPI1
+#-Q- ifort_CICLAD FCM_ARCH = ifort_CICLAD
+#-Q- ifort_CICLAD   M_K = make
+#-Q- ifort_CICLAD   P_C = cpp
+#-Q- ifort_CICLAD   P_O = -P -C -traditional $(P_P)
+#-Q- ifort_CICLAD   F_C = /usr/lib64/openmpi/1.4.5-ifort/bin/mpif90 -c -cpp
+#-Q- ifort_CICLAD   #-D- MD    F_D = -g
+#-Q- ifort_CICLAD   #-D- MN    F_D =
+#-Q- ifort_CICLAD   #-P- I4R4  F_P = -i4
+#-Q- ifort_CICLAD   #-P- I4R8  F_P = -i4 -r8
+#-Q- ifort_CICLAD   #-P- I8R8  F_P = -i8 -r8
+#-Q- ifort_CICLAD   F_O = -DCPP_PARA -O3 $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR) -fp-model precise
+#-Q- ifort_CICLAD   F_L = /usr/lib64/openmpi/1.4.5-ifort/bin/mpif90
+#-Q- ifort_CICLAD   M_M = 0
+#-Q- ifort_CICLAD   L_X = 0
+#-Q- ifort_CICLAD   L_O =
+#-Q- ifort_CICLAD   A_C = ar -rs
+#-Q- ifort_CICLAD   A_G = ar -x
+#-Q- ifort_CICLAD   C_C = cc -c
+#-Q- ifort_CICLAD   C_O =
+#-Q- ifort_CICLAD   C_L = cc
+#-Q- ifort_CICLAD   #-
+#-Q- ifort_CICLAD   NCDF_INC = /opt/netcdf42/ifort/include
+#-Q- ifort_CICLAD   NCDF_LIB = -L/opt/netcdf42/ifort/lib -lnetcdf -lnetcdff
+#-Q- gfortran_CICLAD   #-
+#-Q- gfortran_CICLAD   #- Global definitions for ciclad, gfortran
+#-Q- gfortran_CICLAD LIB_MPI = MPI1
+#-Q- gfortran_CICLAD LIB_MPI_BIS = MPI1
+#-Q- gfortran_CICLAD FCM_ARCH = gfortran_CICLAD
+#-Q- gfortran_CICLAD   M_K = make
+#-Q- gfortran_CICLAD   P_C = cpp
+#-Q- gfortran_CICLAD   P_O = -P -C -traditional $(P_P)
+#-Q- gfortran_CICLAD   F_C = /usr/lib64/openmpi/1.4.5-gfortran/bin/mpif90 -c
+#-Q- gfortran_CICLAD   #-D- MD    F_D = -g -Wall -fbounds-check -pedantic -finit-real=nan
+#-Q- gfortran_CICLAD   #-D- MN    F_D =
+#-Q- gfortran_CICLAD   #-P- I4R4  F_P =
+#-Q- gfortran_CICLAD   #-P- I4R8  F_P = -fdefault-real-8
+#-Q- gfortran_CICLAD   #-P- I8R8  F_P = -fdefault-integer-8 -fdefault-real-8
+#-Q- gfortran_CICLAD   w_w = -DCPP_PARA -O3 -funroll-all-loops $(F_D) $(F_P) -I$(MODDIR)
+#-Q- gfortran_CICLAD   F_O = $(w_w) -J$(MODDIR)
+#-Q- gfortran_CICLAD   F_L = /usr/lib64/openmpi/1.4.5-gfortran/bin/mpif90
+#-Q- gfortran_CICLAD   M_M = 0
+#-Q- gfortran_CICLAD   L_X = 0
+#-Q- gfortran_CICLAD   L_O =
+#-Q- gfortran_CICLAD   A_C = ar -rs
+#-Q- gfortran_CICLAD   A_G = ar -x
+#-Q- gfortran_CICLAD   C_C = cc -c
+#-Q- gfortran_CICLAD   C_O =
+#-Q- gfortran_CICLAD   C_L = cc
+#-Q- gfortran_CICLAD   #-
+#-Q- gfortran_CICLAD   NCDF_INC = /opt/netcdf42/gfortran/include
+#-Q- gfortran_CICLAD   NCDF_LIB = -L/opt/netcdf42/gfortran/lib -lnetcdf -lnetcdff
+#-Q- gfortran_CICLAD   #-
 #-Q- climserv #- Global definitions for Climserv : pgf behind mpif90 wrapper
 #-Q- climserv #- Please check with mpi-selector --query
Index: modipsl/trunk/util/w_i_h
===================================================================
--- modipsl/trunk/util/w_i_h	(revision 2357)
+++ modipsl/trunk/util/w_i_h	(revision 2359)
@@ -40,5 +40,5 @@
     ( ada* )                   DSYS="ada";;
     ( asterix* | obelix* )     DSYS="lxiv8";;
-    ( ciclad* )                DSYS="ifort_ciclad";;
+    ( ciclad* )                DSYS="ifort_CICLAD";;
     ( argent[0-9]* )           DSYS="argent";;
     ( cesium[0-9]* )           DSYS="cesium";;