Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2317)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2362)
@@ -4,5 +4,4 @@
 [UserChoices]
 ORCA_version=ORCA2.3
-io_xml=y
 mesh_mask=n
 iceflx="linear"
@@ -47,10 +46,10 @@
 [OutputFiles]
 List=   (mesh_mask.nc      , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
-        (${config_UserChoices_JobName}_1y_scalar.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_scalar.nc, Post_1Y_scalar),\
-        (${config_UserChoices_JobName}_1y_grid_T.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_T.nc, Post_1Y_grid_T),\
-        (${config_UserChoices_JobName}_1y_grid_U.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_U.nc, Post_1Y_grid_U),\
-        (${config_UserChoices_JobName}_1y_grid_V.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_V.nc, Post_1Y_grid_V),\
-        (${config_UserChoices_JobName}_1y_grid_W.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_W.nc, Post_1Y_grid_W),\
-        (${config_UserChoices_JobName}_1m_scalar.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc, Post_1M_scalar),\
+        (${config_UserChoices_JobName}_1y_scalar.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_scalar.nc, NONE),\
+        (${config_UserChoices_JobName}_1y_grid_T.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_T.nc, NONE),\
+        (${config_UserChoices_JobName}_1y_grid_U.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_U.nc, NONE),\
+        (${config_UserChoices_JobName}_1y_grid_V.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_V.nc, NONE),\
+        (${config_UserChoices_JobName}_1y_grid_W.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_W.nc, NONE),\
+        (${config_UserChoices_JobName}_1m_scalar.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc, NONE),\
         (${config_UserChoices_JobName}_1m_grid_T.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_T.nc, Post_1M_grid_T),\
         (${config_UserChoices_JobName}_1m_grid_U.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc, Post_1M_grid_U),\
@@ -68,5 +67,5 @@
 [Post_1M_scalar]
 Patches = ()
-GatherWithInternal = (time_counter)
+GatherWithInternal = (time_counter, time_counter_bounds)
 TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
 ChunckJob2D = NONE
@@ -77,8 +76,8 @@
 [Post_1M_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (sohefldo, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sowaflup, sowindsp)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (thkcello, vosaline,votemper)
+TimeSeriesVars3D = (vosaline,votemper)
 ChunckJob3D = 50Y
 Seasonal=ON
@@ -86,5 +85,5 @@
 [Post_1M_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (sozotaux)
 ChunckJob2D = NONE
@@ -95,5 +94,5 @@
 [Post_1M_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (sometauy)
 ChunckJob2D = NONE
@@ -104,5 +103,5 @@
 [Post_1M_grid_W]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (soleaeiw, soleahtw)
 ChunckJob2D = NONE
@@ -113,5 +112,5 @@
 [Post_1M_diaptr]
 Patches = ()
-GatherWithInternal = (nav_lat, time_counter)
+GatherWithInternal = (nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
 ChunckJob2D = NONE
@@ -124,6 +123,6 @@
 [Post_1D_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
-TimeSeriesVars2D = (omldamax, sosstsst, tossq)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+TimeSeriesVars2D = (sosstsst)
 ChunckJob2D = 200Y
 TimeSeriesVars3D = (vosaline,votemper)
@@ -133,5 +132,5 @@
 [Post_1D_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -142,5 +141,5 @@
 [Post_1D_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -153,5 +152,5 @@
 [Post_1Y_scalar]
 Patches = ()
-GatherWithInternal = (time_counter, time_counter)
+GatherWithInternal = (time_counter, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
 ChunckJob2D = NONE
@@ -162,5 +161,5 @@
 [Post_1Y_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (evs, ficeberg, friver, fsitherm, hfcorr, hfevapds, hfibthermds, hfrainds, hfrunoffds, hfsithermds, hfsnthermds, nshfls, omlmax, pbo, pr, prsn, sfdsi, so20chgt, so28chgt, sohefldo, sohtc300, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sotaumod, sowaflcd, sowaflup, sowindsp, tossq, vsfsit, wfcorr, zossq)
 ChunckJob2D = NONE
@@ -171,5 +170,5 @@
 [Post_1Y_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
 ChunckJob2D = NONE
@@ -180,5 +179,5 @@
 [Post_1Y_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (hfy, hfyba, hfydiff, sometauy)
 ChunckJob2D = NONE
@@ -189,5 +188,5 @@
 [Post_1Y_grid_W]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (soleaeiw, soleahtw)
 ChunckJob2D = NONE
@@ -198,5 +197,5 @@
 [Post_1Y_diaptr]
 Patches = ()
-GatherWithInternal = (nav_lat, time_counter)
+GatherWithInternal = (nav_lat, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
 ChunckJob2D = NONE