Index: modipsl/trunk/util/clr_make
===================================================================
--- modipsl/trunk/util/clr_make	(revision 2364)
+++ 	(revision )
@@ -1,31 +1,0 @@
-#!/bin/ksh
-# $Id$
-#---------------------------------------------------------------------
-#- Remove Makefiles and data according to an environment
-#---------------------------------------------------------------------
-d_n=$(dirname ${0});
-#-
-l_rep=$(find ${d_n}/.. -name AA_make -print)
-#-
-echo "";
-echo "Remove Makefiles and data according to an environment";
-echo "";
-#-
-for i in $l_rep
-do
-  j=${i%/AA_make}
-  echo "Remove in $j ...";
-  rm -f ${j}/Makefile
-done
-echo "Remove ${d_n}/.host_target";
-rm -f ${d_n}/.host_target
-#-
-l_prism=${d_n}'/../prism' 
-if [ -d ${l_prism} ]; then
-  echo "Remove COMP_oasis3 and COMP_libs" 
-  rm -f ${l_prism}/src/mod/oasis3/COMP_oasis3*
-  rm -f ${l_prism}/util/COMP_libs*
-fi
-echo "";
-#-
-exit 0;
Index: modipsl/trunk/util/env_make
===================================================================
--- modipsl/trunk/util/env_make	(revision 2364)
+++ 	(revision )
@@ -1,97 +1,0 @@
-#!/bin/bash
-# $Id$
-#---------------------------------------------------------------------
-#- Loading an environment and optionally running Makefile
-#---------------------------------------------------------------------
-shopt -s extglob
-#-
-function env_make_Usage
-{
-echo -e "
-${b_n} Loads an environment and runs a Makefile
-
-Usage :
-  ${b_n} [-h] [-v] [-m] [target_for_Makefile]
-
-Options :
-  -h : help
-  -v : verbose mode
-  -m : dont'runs the Makefile
-
-Defaults :
-   runs the Makefile
-
-Example for run a Makefile with target t_1 :
-  ${b_n} t_1
-"
-}
-#-
-#  dirname  and  basename
-#-
-   d_n=${0%/*};  b_n=${0##*/};
-#-
-# Retrieving and validation of the options
-#-
-x_v='silencious'; x_m='run';
-while getopts :hvm V
-  do
-   case ${V} in
-    (h) env_make_Usage; exit 0;;
-    (v) x_v='verbose';;
-    (m) x_m='no_run';;
-   (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
-         exit 2;;
-   esac
-  done
-shift $(($OPTIND-1));
-#-
-# Retrieve the target
-#-
-[[ ${#} -gt 1 ]] && \
-  { echo 'Only one target can be specified' 1>&2; exit 3; }
-x_t="";
-[[ ${#} -eq 1 ]] && { x_t="${1}"; }
-#-
-# Test availability of the definition file
-#-
-tgt_f="${d_n}/.host_target"
-[[ ! -f "${tgt_f}" ]] && \
- { echo -e "\\n${b_n} : file ${tgt_f} unreachable\\n"; exit 3; }
-#-
-# Extract the host name and update the Makefile name
-#-
-read tgt_n < ${tgt_f}
-[[ -z "${tgt_n}" ]] && \
- { echo -e "\\n${b_n} : invalid host name\\n"; exit 3; }
-mkf_n='Makefile'
-#-
-# Verbose mode
-#-
-[ ${x_v} = 'verbose' ] && \
- { echo -e "---";
-   echo -e "Host     : ${tgt_n}";
-   echo -e "Mode     : ${x_m}";
-   echo -e "Makefile : ${mkf_n}";
-   echo -e "Target   : ${x_t}";
-   echo -e "---"; }
-#-
-# Loads the environment
-#-
-case ${tgt_n} in
- ("sx8mercure") \
-  module load SX8
-  module load netcdf_sx8
-  ;;
- ("sx9mercure") \
-  module load SX9
-  module load netcdf_sx9
-  ;;
- (*) \
-  ;;
-esac
-#-
-# [eventually] run the Makefile
-#-
-[[ "${x_m}" = 'run' ]] && { gmake -f ${mkf_n} ${x_t}; };
-#-
-exit 0;
Index: modipsl/trunk/util/ins_post
===================================================================
--- modipsl/trunk/util/ins_post	(revision 2364)
+++ 	(revision )
@@ -1,284 +1,0 @@
-#!/bin/ksh
-# $Id$
-#-----------------------------------------------
-#- Installation de scripts de post_traitement
-#-----------------------------------------------
-d_n=$(dirname ${0}); b_n=$(basename ${0});
-
-#- Saisie et validation des options
-x_v='silencious';
-x_d='normal';
-x_t="";
-x_n="";
-
-while getopts :hvd:t: ops
-  do
-    case $ops in
-      (h)  echo "Usage    : "${b_n} \
-                " [-h] [-v] [-d] [-t h]  [-n f]";
-           echo " -h       : help";
-           echo " -v       : verbose mode";
-           echo " -d       : debug mode";
-           echo " -t h     : target host_name";
-           echo "Defaults  : -t local_host";
-           exit 0;;
-      (v)  x_v='verbose';;
-      (d)  x_d='debug';;
-      (t)  x_t=${OPTARG};;
-      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
-           exit 2;;
-      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
-           exit 2;;
-    esac
-  done
-shift $(($OPTIND-1));
-
-if   [ "$x_t" = "sx8brodie" ]; then
-   b_n_post=$(basename $HOME)
-   d_n_post=$(dirname $HOME | sed 's/home/u/')
-elif [ "$x_t" = "fjvpp" ]; then
-   b_n_post=$(basename $DMFDIR)
-   d_n_post=\/$(dirname $DMFDIR | awk -F\/ '{print $4}')
-elif [ "$x_t" = "sx6nec" ]; then
-   b_n_post=$(basename $DMFDIR)
-   d_n_post=$(dirname $DMFDIR)
-elif [ "$x_t" = "sx8mercure" ]; then
-   b_n_post=$(basename $DMFDIR)
-   d_n_post=$(dirname $DMFDIR)
-else
-echo "        !!! WARNING !!!"
-echo " The path for the output files on the storage server,"
-echo " needed for post-traitement files, is not automaticaly set."
-echo " Please specify manually this path by replacing the AAAAAAA"
-echo " string in the Output Job with the desired path."
-echo "        !!! WARNING !!!"
-fi
-#- Traitement des options
-#- REAL precision
-# Target_Host Name
-if [ '\?'${x_t} = '\?' ]; then
-  x_t=`${d_n}/w_i_h`;
-  if [ $? -ne 0 ]; then
-    echo "Bad installation : w_i_h/uname unreachable" 1>&2;
-    exit 1;
-  elif [ "$x_t" = "Unknown" ]; then
-    echo "Local_Host not supported" 1>&2;
-    exit 1;
-  fi;
-fi;
-
-case ${x_t} in
-  ( aix | cray | fjvpp | linux | lxiv7 | lxiv8 | osf1 | \
-    solaris | t3e | sx8brodie | sx6nec | sx8mercure | unix ) ;;
-  (*)
-    echo "Target_Host "${x_t}" not supported" 1>&2;
-    exit 1;;
-esac
-#-
-x_m=$( (cd $d_n ; pwd) | sed -e "s,/util,," )
-
-if [ ${x_v} = 'verbose' ]; then
-  echo '--- Mode              : '${x_v};
-  echo '--- Compilation       : '${x_d};
-  echo '--- Target            : '${x_t};
-  echo '--- Name              : '${x_n};
-  echo '--- MODIPSL directory : '${x_m};
-fi;
-#-
-#-
-l_rep1=`find ${d_n}/.. -name mo2st -print`
-l_rep2=`find ${d_n}/.. -name da2st -print`
-l_rep3=`find ${d_n}/.. -name mo2se -print`
-l_rep4=`find ${d_n}/.. -name da2mo -print`
-l_rep5=`find ${d_n}/.. -name da4mo -print`
-l_rep6=`find ${d_n}/.. -name da2ye -print`
-l_rep7=`find ${d_n}/.. -name da4ye -print`
-l_rep8=`find ${d_n}/.. -name mo2ye -print`
-l_rep9=`find ${d_n}/.. -name mo4ye -print`
-l_rep10=`find ${d_n}/.. -name mo2sn -print`
-l_rep11=`find ${d_n}/.. -name da2sn -print`
-l_rep12=`find ${d_n}/.. -name txt2tar -print`
-l_rep13=`find ${d_n}/.. -name monitoring_script -print`
-l_rep14=`find ${d_n}/.. -name monitoring_loop_script -print`
-l_rep15=`find ${d_n}/.. -name monitoring_loop2_script -print`
-l_rep16=`find ${d_n}/.. -name atlas_cpl_se_ORCA_LIM -print`
-l_rep17=`find ${d_n}/.. -name atlas_cpl_se -print`
-l_rep18=`find ${d_n}/.. -name atlas_cpl_se_LMDZOR -print`
-l_rep19=`find ${d_n}/.. -name atlas_cpl_se_ORCA_LIM2 -print`
-l_rep20=`find ${d_n}/.. -name create_ts -print`
-#-
-#-
-
-
-W_OS=${x_t};
-
-if   [ ${W_OS}  = "sx8brodie" ]; then
-   format='\s'
-elif [ ${W_OS}  = "fjvpp" ]; then
-   format='\d'
-elif [ ${W_OS}  = "sx6nec" ]; then
-   format='\g'
-elif [ ${W_OS}  = "sx8mercure" ]; then
-   format='\g'
-else
-echo "        !!! WARNING !!!"
-echo " The display format of numbers,"
-echo " needed for the dates, is not automaticaly set."
-echo " Please specify manually this format by replacing the PPPPPPP"
-echo " string in the Output Job with the desired format."
-echo "        !!! WARNING !!!"
-fi
-
-echo " ";
-echo "Installation of simple execution jobs for $W_OS";
-echo " ";
-#-
-
-for i in $l_rep1 $l_rep2 $l_rep3 $l_rep4 $l_rep5 $l_rep6 $l_rep7 $l_rep8 $l_rep9 $l_rep10 $l_rep11 $l_rep12 $l_rep13 $l_rep14 $l_rep15 $l_rep16 $l_rep17 $l_rep18 $l_rep19 $l_rep20
-do
-  echo " "
-  case $i in
-  "$l_rep1") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of mo2st.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2st | grep -v '^#-Q- ' $1 > ${r}/mo2st.job ;;
- "$l_rep2") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of da2st.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2st | grep -v '^#-Q- ' $1 > ${r}/da2st.job ;;
-  "$l_rep3") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of mo2se.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2se | grep -v '^#-Q- ' $1 > ${r}/mo2se.job ;;
-  "$l_rep4") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of da2mo.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2mo | grep -v '^#-Q- ' $1 > ${r}/da2mo.job ;;
-  "$l_rep5") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of da4mo.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da4mo | grep -v '^#-Q- ' $1 > ${r}/da4mo.job ;;
-  "$l_rep6") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of da2ye.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2ye | grep -v '^#-Q- ' $1 > ${r}/da2ye.job ;;
-  "$l_rep7") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of da4ye.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da4ye | grep -v '^#-Q- ' $1 > ${r}/da4ye.job ;;
-  "$l_rep8") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of mo2ye.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2ye | grep -v '^#-Q- ' $1 > ${r}/mo2ye.job ;;
-  "$l_rep9") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of mo4ye.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo4ye | grep -v '^#-Q- ' $1 > ${r}/mo4ye.job ;;
-  "$l_rep10") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of mo2sn.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2sn | grep -v '^#-Q- ' $1 > ${r}/mo2sn.job ;;
-  "$l_rep11") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of da2sn.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2sn | grep -v '^#-Q- ' $1 > ${r}/da2sn.job ;;
-  "$l_rep12") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of txt2tar.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/txt2tar | grep -v '^#-Q- ' $1 > ${r}/txt2tar.job ;;
-  "$l_rep13") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of monitoring_script.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/monitoring_script | grep -v '^#-Q- ' $1 > ${r}/monitoring_script.job ;;
-  "$l_rep14") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of monitoring_loop_script.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/monitoring_loop_script | grep -v '^#-Q- ' $1 > ${r}/monitoring_loop_script.job ;;
-  "$l_rep15") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of monitoring_loop2_script.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS ;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/monitoring_loop2_script | grep -v '^#-Q- ' $1 > ${r}/monitoring_loop2_script.job ;;
-  "$l_rep16") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of atlas_cpl_se_ORCA_LIM.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se_ORCA_LIM | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se_ORCA_LIM.job ;;
-  "$l_rep17") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of atlas_cpl_se.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se.job ;;
-  "$l_rep18") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of atlas_cpl_se_LMDZOR.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se_LMDZOR | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se_LMDZOR.job ;;
-  "$l_rep19") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of atlas_cpl_se_ORCA_LIM2.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-          set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se_ORCA_LIM2 | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se_ORCA_LIM2.job ;;
-  "$l_rep20") j=$(dirname $i);
-          MKTR="$j";
-          r=$(cd $j ; pwd);
-          echo "Installation of create_ts.job file in directory : $(cd $j ; pwd) ";
-          typeset -R W_XX[1];
-	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
-          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/create_ts | grep -v '^#-Q- ' $1 > ${r}/create_ts.job ;;
- esac
-done
-echo " ";
-exit 0;
Index: modipsl/trunk/util/ins_script
===================================================================
--- modipsl/trunk/util/ins_script	(revision 2364)
+++ 	(revision )
@@ -1,186 +1,0 @@
-#!/bin/ksh
-# $Id$
-#---------------------------------------------------------------------
-#- Installation de scripts de lancement d experiences propres a un environnement
-#---------------------------------------------------------------------
-d_n=$(dirname ${0}); b_n=$(basename ${0});
-
-#- Saisie et validation des options
-x_v='silencious';
-x_d='normal';
-x_t="";
-x_n="";
-
-while getopts :hvd:t:n: V
-  do
-    case $V in
-      (h)  echo "Usage    : "${b_n} \
-                " [-h] [-v] [-d] [-t h]  [-n f]";
-           echo " -h       : help";
-           echo " -v       : verbose mode";
-           echo " -d       : debug mode";
-           echo " -t h     : target host_name";
-           echo " -n f     : Name";
-           echo "Defaults  : -t local_host";
-           exit 0;;
-      (v)  x_v='verbose';;
-      (d)  x_d='debug';;
-      (t)  x_t=${OPTARG};;
-      (n)  x_n=${OPTARG};;
-      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
-           exit 2;;
-      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
-           exit 2;;
-    esac
-  done
-shift $(($OPTIND-1));
-#- Traitement des options
-#- REAL precision
-#- Target_Host Name
-if [ '\?'${x_t} = '\?' ]; then
-  x_t=`${d_n}/w_i_h`;
-  if [ $? -ne 0 ]; then
-    echo "Bad installation : w_i_h/uname unreachable" 1>&2;
-    exit 1;
-  elif [ "$x_t" = "Unknown" ]; then
-    echo "Local_Host not supported" 1>&2;
-    exit 1;
-  fi;
-fi;
-
-if   [ "$x_t" = "sx8brodie" ]; then
-   b_n_atlas=$(basename $HOME)
-   d_n_atlas=$(dirname $HOME | sed 's/home/u/')
-elif [ "$x_t" = "aix" ]; then
-   b_n_atlas=$LOGIN
-   d_n_atlas="/u/"$(dirname $HOME | awk -F\/ '{print $3"/"$4}')
-elif [ "$x_t" = "aix6" ]; then
-   b_n_atlas=$LOGIN
-   d_n_atlas="/u/"$(dirname $HOME | awk -F\/ '{print $3"/"$4}')
-elif [ "$x_t" = "babel" ]; then
-   b_n_atlas=$LOGIN
-   d_n_atlas="/u/"$(dirname $HOME | awk -F\/ '{print $3"/"$4}')
-elif [ "$x_t" = "fjvpp" ]; then
-   b_n_atlas=$(basename $DMFDIR)
-   d_n_atlas=\/$(dirname $DMFDIR | awk -F\/ '{print $4}')
-elif [ "$x_t" = "sx6nec" ]; then
-   b_n_atlas=$(basename $DMFDIR)
-   d_n_atlas=$(dirname $DMFDIR)
-elif [ "$x_t" = "sx8mercure" ]; then
-   b_n_atlas=$(basename $DMFDIR)
-   d_n_atlas=$(dirname $DMFDIR)
-else
-echo "        !!! WARNING !!!"
-echo " The path for the output files on the storage server,"
-echo " needed for the descriptor files, is not automaticaly set."
-echo " Please specify manually this path by replacing the AAAAAAA"
-echo " string in the Output Job with the desired path."
-echo "        !!! WARNING !!!"
-fi
-
-case ${x_t} in
-  ( aix6 | aix | babel | cray | fjvpp | linux | lxiv7 | lxiv8 | osf1 | \
-    solaris | t3e | sx8brodie | sx6nec | sx8mercure | unix ) ;;
-  (*)
-    echo "Target_Host "${x_t}" not supported" 1>&2;
-    exit 1;;
-esac
-#-
-x_m=$( (cd $d_n ; pwd) | sed -e "s,/util,," )
-
-if [ ${x_v} = 'verbose' ]; then
-  echo '--- Mode              : '${x_v};
-  echo '--- Compilation       : '${x_d};
-  echo '--- Target            : '${x_t};
-  echo '--- Name              : '${x_n};
-  echo '--- MODIPSL directory : '${x_m};
-fi;
-#-
-#-
-l_rep=`find ${d_n}/.. -name AA_job -print`
-#-
-W_OS=${x_t};
-#
-if   [ ${W_OS}  = "sx8brodie" ]; then
-   format='\s'
-elif [ ${W_OS}  = "aix" ]; then
-   format='\s'
-elif [ ${W_OS}  = "babel" ]; then
-   format='\s'
-elif [ ${W_OS}  = "fjvpp" ]; then
-   format='\d'
-elif [ ${W_OS}  = "sx6nec" ]; then
-   format='\s'
-elif [ ${W_OS}  = "sx8mercure" ]; then
-   format='\s'
-else
-echo "        !!! WARNING !!!"
-echo " The display format of numbers,"
-echo " needed for the dates, is not automaticaly set."
-echo " Please specify manually this format by replacing the PPPPPPP"
-echo " string in the Output Job with the desired format."
-echo "        !!! WARNING !!!"
-fi
-echo " ";
-echo "Installation of simple execution jobs for $W_OS";
-echo " ";
-#-
-for i in $l_rep
-do
-  j=${i%/AA_job}
-  MKTR="$j"'/AA_job'
-  Job_name=`( grep '#-Q- '${W_OS}' #@$-r' ${MKTR} || grep '#-Q- '${W_OS}' #PBS -N' ${MKTR} || grep '#-Q- '${W_OS}' #@job_name' ${MKTR} ) | awk -F: '{print $3}'`
-  JN2=`( grep '#-Q- '${W_OS}' #@$-r' ${MKTR} || grep '#-Q- '${W_OS}' #PBS -N' ${MKTR} || grep '#-Q- '${W_OS}' #@job_name' ${MKTR} ) | awk -F: '{print $2}'`
-  JN4=`( grep '#-Q- '${W_OS}' #@$-r' ${MKTR} || grep '#-Q- '${W_OS}' #PBS -N' ${MKTR} || grep '#-Q- '${W_OS}' #@job_name' ${MKTR} ) | awk -F: '{print $4}'`
-  r=$( (cd $j ; pwd) )
-  echo "Installation in directory : $(cd $j ; pwd) ";
-  sed -e "s,MMMMMMM,${x_m}," -e "s,RRRRRRR,${r}," -e "s,AAAAAAA,${d_n_atlas}\/${b_n_atlas},g" ${MKTR}  > jb1.$$
-  W_XX='#-Q- '$W_OS
-  FILE_NAME="";
-
-if [ '\?'${x_n} = '\?' ] && [ '\?'${Job_name} = '\?' ]; then
-    FILE_NAME="$j/Job"
-elif [ '\?'${x_n} = '\?' ] && [ -n "${Job_name}" ] && [ ${Job_name} = XXX ]; then
-    FILE_NAME="$j/Job_LO1"
-elif [ '\?'${x_n} != '\?' ] && [ ${Job_name} = XXX ]; then
-  FILE_NAME="$j/Job_${x_n}"
-elif [ '\?'${x_n} = '\?' ] && [ -n "${Job_name}" ] && [ ${Job_name} != XXX ]; then
-  FILE_NAME="$j/Job_${Job_name}"
-elif [ '\?'${x_n} != '\?' ] && [ ${Job_name} != XXX ]; then
-  FILE_NAME="$j/Job_${x_n}"
-fi
-
- if [ ! -f "${FILE_NAME}" ]; then
-   case ${FILE_NAME} in
-      "$j/Job") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,JJJJJJJ,Job," jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
-      "$j/Job_LO1") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,XXXXXXX,LO1," -e "s,JJJJJJJ,Job_LO1," -e "s,:${JN2}:,," -e "s,${Job_name},LO1.1,"  -e "s,:${JN4}:,," jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
-      "$j/Job_${x_n}") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,XXXXXXX,${x_n}," -e "s,JJJJJJJ,Job_${x_n},"  -e "s,:${JN2}:,," -e "s,${Job_name},${x_n}.1,"  -e "s,:${JN4}:,,"  jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
-      "$j/Job_${Job_name}") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,XXXXXXX,${Job_name}," -e "s,JJJJJJJ,Job_${Job_name},"  -e "s,:${JN2}:,," -e "s,${Job_name},${Job_name}.1,"  -e "s,:${JN4}:,," jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
-   esac
-   chmod 755 ${FILE_NAME}
- else
-        echo " "
-        echo "WARNING : The file ${FILE_NAME} already exists, "
-        echo "WARNING : installation was not completed correctly "
-        echo "WARNING :       !!! NO FILE REPLACED !!!"
-        echo "WARNING : use parameter -n new_name to obtain Job_new_name script file"
-        echo "WARNING :   for example : ins_script -n LP1  "
-        echo " "
-   rm -f jb1.$$ 
-   exit 0;    
- fi
-echo "Installation in file : `echo ${FILE_NAME} | sed -e 's,/.*/,,' ` ";
- 
-#-$$ Introduire ici la selection de la technique de communication
-#-$$ pour OASIS (prefixe #-C- )
-done
-#-
-rm -f jb1.$$ 
-#-
-#-$$ launch ins_post if at least one post-processing utility exists
-#-$$
-OK_POST=`find ${d_n}/.. -name da2st`
-if [ -n "$OK_POST" ]; then
-${d_n}/ins_post -t ${x_t}
-fi
-exit 0;
Index: modipsl/trunk/util/w_i_e
===================================================================
--- modipsl/trunk/util/w_i_e	(revision 2364)
+++ 	(revision )
@@ -1,35 +1,0 @@
-#!/bin/bash
-# $Id$
-#-------------------------------------------------------------------#
-#- w_i_e                                                21/07/2009 -#
-#- Validate the correlation between the target and the environment -#
-#-------------------------------------------------------------------#
-shopt -s extglob
-#-
-WW_ast='****************************************************************'
-#-
-h_t=${1}; h_w=${2};
-#-
-echo -e "\n${WW_ast}" >&2;
-echo "INFO -  This Makefile is for host type : ${h_t}" >&2;
-echo "INFO -  Host used has type :             ${h_w}" >&2;
-echo -e "${WW_ast}" >&2;
-#-
-if [ ${h_t} = ${h_w} ]; then
-  r_c='OK';
-else
-  r_c='WN'; [[ ${h_t} = sx[89]mercure ]] && { r_c='NO'; }
-fi
-#-
-if   [ ${r_c} = 'WN' ]; then
- echo "WARNING - This Makefile may not be compatible whith the host !" >&2;
- echo -e "${WW_ast}" >&2;
-elif [ ${r_c} = 'NO' ]; then
- echo "ERROR - This Makefile is not compatible whith the host !" >&2;
- echo -e "${WW_ast}" >&2;
-fi
-#-
-echo ${r_c};
-unset h_t h_w r_c;
-#-
-exit 0;
Index: modipsl/trunk/util/w_i_p
===================================================================
--- modipsl/trunk/util/w_i_p	(revision 2364)
+++ 	(revision )
@@ -1,15 +1,0 @@
-#!/bin/bash
-# $Id$
-#--------------------------------------------------#
-#--- What is host prefix ? - w_i_p - 21/06/2009 ---#
-#--------------------------------------------------#
-h_n=${1}
-case ${h_n} in
- ( sx8mercure | sx9mercure )  DSYS="sx8mercure";;
- ( * )                        DSYS=${h_n};;
-esac
-#-
-echo "$DSYS";
-unset h_n;
-#-
-exit 0;