Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2363)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2366)
@@ -12,4 +12,6 @@
 feedb=0
 
+# Use XIOS as output library
+XIOS=y
 
 [InitialStateFiles]
@@ -38,5 +40,8 @@
 
 [ParametersFiles]
-List= (${SUBMIT_DIR}/PARAM/inca.def, .)
+List= (${SUBMIT_DIR}/PARAM/inca.def, .),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca.xml, .)
 
 [RestartFiles]
@@ -46,8 +51,9 @@
 
 [OutputText]
-List=(inca.out, inca.def)
+List=(inca.out, inca.def,iodef.xml,context_inca.xml,field_def_inca.xml,file_def_inca.xml)
 
 [OutputFiles]
 List=	(inca_avgr.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_avgr.nc,    Post_1M_inca_avgr  ),\
+	(inca_test_xios.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_test_xios.nc,    NONE  ),\
 	(forcage.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_forcage.nc,      NONE)
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2363)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2366)
@@ -4,11 +4,24 @@
 
 [UserChoices]
-# Physics package to use :
-# AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources with 19 or 39 levels
-# NPv3.1 for new physics, to be used with LMDZ5/trunk revision 1554 or later with 39 levels
+# Physics package to use : 
+# AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources 
+# NPv3.1 for new physics, to be used with LMDZ5/trunk revision 1554 or later
 LMDZ_Physics=AP
 #LMDZ_Physics=NPv3.1
 
+# Use XIOS as output library
+XIOS=y
 
+# Set the variable CREATE needed further below to find the initial and boundary condition files.
+CREATE=ELC-${RESOL_ATM_3D}
+
+# ByPass_hgardfou_teta=y : modify teta_ parameters for following CumulPeriod only
+ByPass_hgardfou_teta=n
+
+# ByPass_hgardfou_mats=y : set parameter purmats=y for following CumulPeriod only
+ByPass_hgardfou_mats=n
+
+# Number of periods where to set parameter adjust=y before switching to adjust=n
+# For adjust=n, set LMDZ_NbPeriod_ajust=0. 
 LMDZ_NbPeriod_adjust=3
 # LMDZ_NbPeriod_adjust=0
@@ -46,4 +59,5 @@
 
 # Nugding : ok_guide=y/n
+# If ok_guide=y, add nudging files(u.nc, v.nc, hur.nc,...) in BoundaryFiles section below.
 ok_guide=n
 
@@ -64,10 +78,25 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}	, physiq.def	), \
-	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D}            	, gcm.def	), \
-	(${SUBMIT_DIR}/PARAM/run.def					, .		), \
-        (${SUBMIT_DIR}/PARAM/output.def_${OutLevel},                    output.def      ), \
-        (${SUBMIT_DIR}/PARAM/config.def_${ConfType},                    config.def      ), \
-	(${SUBMIT_DIR}/PARAM/guide.def					, .		)
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
+	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
+	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
+	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
+	(${SUBMIT_DIR}/PARAM/output.def_${OutLevel},  output.def),    \
+	(${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),    \
+	(${SUBMIT_DIR}/PARAM/guide.def, .), \
+	(${SUBMIT_DIR}/PARAM/run.def, .), \
+	(${SUBMIT_DIR}/PARAM/traceur.def, .), \
+	(${SUBMIT_DIR}/PARAM/iodef.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . )            ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . )          ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histday_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf_lmdz.xml, . )    ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . )
 
 [RestartFiles]
@@ -76,6 +105,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, run.def, Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat, config.def, output.def)
-
+List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml,field_def_lmdz.xml)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/orchidee.card	(revision 2363)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/orchidee.card	(revision 2366)
@@ -10,6 +10,9 @@
 
 sechiba_LEVEL=11
-VEGET_UPDATE=1Y
-LAND_COVER_CHANGE=y
+VEGET_UPDATE=0Y
+LAND_COVER_CHANGE=n
+
+# Use XIOS as output library
+XIOS=y
 
 [InitialStateFiles]
@@ -36,5 +39,8 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)
 
 [RestartFiles]
@@ -43,5 +49,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def)
+List=   (out_orchidee, orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/inca.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/inca.driver	(revision 2363)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/inca.driver	(revision 2366)
@@ -1,3 +1,2 @@
-#- $Id: inca.driver 119 2007-07-31 13:56:33Z acosce $
 #!/bin/ksh
 
@@ -80,4 +79,14 @@
     fi
     
+    if [ X${inca_UserChoices_XIOS}  = Xy ] ; then
+    # Add include of INCA context in iodef.xml
+    # In iodef.xml add on next line after "COMPONENT CONTEXT"
+    #  <context id="inca" src="./context_inca.xml"/>
+	echo '<context id="inca" src="./context_inca.xml"/>' > add.tmp
+	cp iodef.xml iodef.xml.tmp
+	sed -e "/COMPONENT CONTEXT/r add.tmp" \
+	    iodef.xml.tmp > iodef.xml
+	rm iodef.xml.tmp add.tmp
+    fi
 
     IGCM_debug_PopStack "CHM_Update"