Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/AA_make
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/AA_make	(revision 2366)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/AA_make	(revision 2367)
@@ -1,61 +1,45 @@
 #- $Id$
 
+
 all : 
-	if [ -s ./.resol ] ; then gmake `cat .resol` ; else gmake NMHC_AERxLMD9695-L39 ; fi
+	if [ -s ./.resol ] ; then $(M_K) `head -1 .resol` ; else $(M_K) NMHC_AERxLMD9695-L39 ; fi
 
 
-#AERxLMD9695-L39 : libioipsl liborchideefcm aer_lmdz969539
-#	echo "AERxLMD9695-L39" >.resol
-#	echo "RESOL_ATM_3D=96x95x39" >>.resol
-#	echo "CHEM=AER" > .chimie
-
-NMHC_AERxLMD9695-L39 : libioipsl liborchideefcm nmhcaer_lmdz969539
+NMHC_AERxLMD9695-L39 : libioipsl xios liborchidee nmhcaer96x95x39 lmdz96x95x39 verif
 	echo "NMHC_AERxLMD9695-L39" >.resol
 	echo "RESOL_ATM_3D=96x95x39" >>.resol
 	echo "CHEM=NMHC_AER" > .chimie
 
-#GESxLMD9695-L39 : libioipsl liborchideefcm ges_lmdz969539
-#	echo "GESxLMD9695-L39" >.resol
-#	echo "RESOL_ATM_3D=96x95x39" >>.resol
-#	echo "CHEM=GES" > .chimie
 
-#AERxLMD144142-L39 : libioipsl liborchideefcm aer_lmdz14414239
-#	echo "AERxLMD144142-L39" >.resol
-#	echo "RESOL_ATM_3D=144x142x39" >>.resol
-#	echo "CHEM=AER" > .chimie
+xios :
+	(cd  ../../modeles/XIOS ; ./make_xios  --arch ${FCM_ARCH} --job 8 ; cp bin/xios_server.exe ../../bin/. ; )
 
-
-libioipsl :
+libioipsl : ../../modeles/IOIPSL/src
 	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
 
 
-liborchideefcm : ../../modeles/ORCHIDEE/
-	(cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -parallel mpi_omp -arch $(FCM_ARCH) -driver -j 8 )
+liborchidee : ../../modeles/ORCHIDEE/
+	(cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm  -parallel mpi_omp -xios -arch $(FCM_ARCH) -j 8  -driver)
+
+nmhcaer96x95x39:
+	$(M_K) inca RESOL_INCA=96x95x39 CHIMIE=NMHC_AER
+
+lmdz96x95x39:
+	$(M_K) lmdz RESOL_LMDZ=96x95x39
+
+inca: ../../modeles/INCA
+	(cd ../../modeles/INCA; ./makeinca_fcm -chimie $(CHIMIE) -xios -parallel mpi_omp -resol $(RESOL_INCA) -arch $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )
+
+lmdz: ../../modeles/LMDZ
+	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ)  -chimie INCA -io xios  -mem -cosp false -v true -parallel mpi_omp -arch $(FCM_ARCH) -j 8  gcm ; cp bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_inca.e ../../bin/gcm.e ; )
 
 
-#aer_lmdz969539:
-#	(cd ../../modeles/INCA; ./makeinca_fcm -chimie AER -parallel mpi_omp  -resol 96x95x39 -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi_omp -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
-#	(cd ../../modeles/LMDZ; ./makelmdz_fcm  -d 96x95x39 -chimie INCA -v true -parallel mpi_omp  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x39_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
-
-nmhcaer_lmdz969539:
-	(cd ../../modeles/INCA; ./makeinca_fcm -chimie NMHC_AER -parallel mpi_omp  -resol 96x95x39 -arch $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )	
-	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi_omp -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ; ./makelmdz_fcm  -d 96x95x39 -chimie INCA -v true -parallel mpi_omp  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x39_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
-
-#ges_lmdz969539:
-#	(cd ../../modeles/INCA; ./makeinca_fcm -chimie GES -parallel mpi_omp  -resol 96x95x39 -arch $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi_omp -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
-#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d 96x95x39 -chimie INCA -v true -parallel mpi_omp  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x39_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
-
-#aer_lmdz14414239:
-#	(cd ../../modeles/INCA; ./makeinca_fcm -chimie AER -parallel mpi_omp -resol 144x142x39 -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 144x142x39 -parallel mpi_omp -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_144x142x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
-#	(cd ../../modeles/LMDZ; ./makelmdz_fcm  -d 144x142x39 -chimie INCA -v true -parallel mpi_omp  -arch $(FCM_ARCH) gcm ; cp bin/gcm_144x142x39_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
+verif: ../../bin
+	ls -l ../../bin
 
 clean :
-	(rm -rf $(LIBDIR)/* ; rm -f $(BINDIR)/* ; ) 
-	(rm -rf ../../modeles/LMDZ/libo/* ../../modeles/LMDZ/.lock ; ) 
-	(cd ../../modeles/IOIPSL/src ; ${M_K} clean ; ) 
-	(cd ../../ORCHIDEE ; ./makeorchidee_fcm -clean ; ) 
-	(rm -rf ../INCA/config ; )
+	(rm -rf $(LIBDIR)/* ; rm -rf ../../modeles/LMDZ/libo/* ../../modeles/LMDZ/.lock ; )
+	(cd ../../modeles/IOIPSL/src ; ${M_K} clean ; )
+	(cd ../../modeles/ORCHIDEE ; ./makeorchidee_fcm -clean ; )
+	(rm -rf ../../modeles/INCA/config ; )
+