Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2381)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2382)
@@ -105,5 +105,8 @@
 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . )
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, . )
 
 [RestartFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2381)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2382)
@@ -105,5 +105,8 @@
 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . )
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, . )
 
 [RestartFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2381)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2382)
@@ -98,5 +98,8 @@
 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . )
+ 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ),\
+ 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, . ),\
+ 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, . ),\
+ 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, . )
 
 [RestartFiles]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/orchidee.driver	(revision 2381)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/orchidee.driver	(revision 2382)
@@ -176,4 +176,6 @@
     #IGCM_sys_Put_Out ${RUN_DIR}/run.def ${R_SAVE}/${PREFIX}_run.def
 
+#Temporary way to fix bug on cimean variable
+    IGCM_comp_modifyXmlFile force field_def_orchidee.xml cimean enabled .FALSE. 
 
     if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/run.def
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/run.def	(revision 2381)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/run.def	(revision 2382)
@@ -54,3 +54,4 @@
 ### Only concerning the program ce0l : for creating file grilles_gcm.nc
 grilles_gcm_netcdf=_AUTO_
-
+### To activate XIOS ouputs only
+ok_all_xml=y 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 2381)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 2382)
@@ -176,4 +176,6 @@
     #IGCM_sys_Put_Out ${RUN_DIR}/run.def ${R_SAVE}/${PREFIX}_run.def
 
+#Temporary way to fix bug on cimean variable
+    IGCM_comp_modifyXmlFile force field_def_orchidee.xml cimean enabled .FALSE. 
 
     if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/run.def
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/run.def	(revision 2381)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/run.def	(revision 2382)
@@ -54,3 +54,4 @@
 ### Only concerning the program ce0l : for creating file grilles_gcm.nc
 grilles_gcm_netcdf=_AUTO_
-
+### To activate XIOS ouputs only
+ok_all_xml=y 