Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 2408)
+++ /modipsl/trunk/util/mod.def	(revision 2409)
@@ -90,5 +90,5 @@
 #-H- IPSLCM6_rc0  OASIS3-MCT 2.0_branch rev 1129
 #-H- IPSLCM6_rc0  IPSLCM6 svn
-#-H- IPSLCM6_rc0  libIGCM trunk revision 1146
+#-H- IPSLCM5_rc0  libIGCM tag libIGCM_v2.5
 #-M- IPSLCM6_rc0  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM6_rc0  IOIPSL/tags/v2_2_2/src                    HEAD         8  IOIPSL/src     modeles
@@ -97,5 +97,5 @@
 #-C- IPSLCM6_rc0  LMDZ5/branches/testing                    2161        11  LMDZ           modeles
 #-C- IPSLCM6_rc0  CONFIG/UNIFORM/v6/IPSLCM6                 HEAD         8  IPSLCM6        config
-#-C- IPSLCM6_rc0  trunk/libIGCM                             1146        10  libIGCM        .
+#-C- IPSLCM6_rc0  tags/libIGCM_v2.5                         HEAD        10  libIGCM        .
 #-C- IPSLCM6_rc0  trunk/NEMOGCM                             4859         7  .              modeles
 #-C- IPSLCM6_rc0  XIOS/branchs/xios-1.0                      544        12  XIOS           modeles
@@ -160,5 +160,5 @@
 #-H- IPSLCM5A_C  OASIS3 rev 2258 trunk
 #-H- IPSLCM5A_C  IPSLCM5A svn 
-#-H- IPSLCM5A_C  libIGCM tag libIGCM_v2..
+#-H- IPSLCM5A_C  libIGCM tag libIGCM_v2.5
 #-M- IPSLCM5A_C  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A_C  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
@@ -207,5 +207,5 @@
 #-C- LMDZOR_v6  CONFIG/UNIFORM/v6/LMDZOR_v6        HEAD    8    LMDZOR_v6    config
 #-C- LMDZOR_v6  trunk/ORCHIDEE_OL                  HEAD    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6  trunk/libIGCM                      1145    10   libIGCM      .
+#-C- LMDZOR_v6  tags/libIGCM_v2.5                  HEAD    10   libIGCM      .
 
 
@@ -217,5 +217,5 @@
 #-C- LMDZOR_v5  LMDZ5/trunk                           2076               11 LMDZ       modeles
 #-C- LMDZOR_v5  CONFIG/UNIFORM/v5/LMDZOR_v5           HEAD               8  LMDZOR_v5  config
-#-C- LMDZOR_v5  tags/libIGCM_v2.4                     HEAD               10 libIGCM    .
+#-C- LMDZOR_v5  tags/libIGCM_v2.5                     HEAD               10 libIGCM    .
 
 
@@ -229,5 +229,5 @@
 #-C- LMDZOR_v5.2  CONFIG/UNIFORM/v5/LMDZOR_v5.2       HEAD               8  LMDZOR_v5.2 config
 #-C- LMDZOR_v5.2  trunk/ORCHIDEE_OL                   HEAD		 14 ORCHIDEE_OL config
-#-C- LMDZOR_v5.2  tags/libIGCM_v2.4                   HEAD               10 libIGCM     .
+#-C- LMDZOR_v5.2  tags/libIGCM_v2.5                   HEAD               10 libIGCM     .
 
 #-H- LMDZOR_v4  LMDZ and ORCHIDEE (closest version to IPSLCM5A)
@@ -239,5 +239,5 @@
 ##-C- LMDZOR_v4 LMDZ4/branches/LMDZ4_AR5          HEAD               11 LMDZ       modeles
 #-C- LMDZOR_v4  CONFIG/LMDZOR/branches/LMDZOR_v4  HEAD               8  LMDZOR_v4  config
-#-C- LMDZOR_v4  tags/libIGCM_v2.4                 HEAD               10 libIGCM    .
+#-C- LMDZOR_v4  tags/libIGCM_v2.5                 HEAD               10 libIGCM    .
 
 #---- Configuraion with only LMDZ
@@ -248,5 +248,5 @@
 #-C- LMDZ_v5  LMDZ5/trunk                         2076               11 LMDZ       modeles
 #-C- LMDZ_v5  CONFIG/UNIFORM/v5/LMDZ_v5           HEAD               8  LMDZ_v5    config
-#-C- LMDZ_v5  tags/libIGCM_v2.4                   HEAD               10 libIGCM    .
+#-C- LMDZ_v5  tags/libIGCM_v2.5                   HEAD               10 libIGCM    .
 
 
@@ -275,5 +275,5 @@
 #-H- LMDZORINCA_v5  LMDZ5 LMDZ5/trunk rev 2076
 #-H- LMDZORINCA_v5  IOIPSL/src svn tags/v2_2_2
-#-H- LMDZORINCA_v5  libIGCM tag libIGCM_v2.4
+#-H- LMDZORINCA_v5  libIGCM tag libIGCM_v2.5
 #-M- LMDZORINCA_v5  Anne.Cozic@lsce.ipsl.fr
 #-C- LMDZORINCA_v5  IOIPSL/trunk/src			2350			8	IOIPSL/src	modeles
@@ -291,5 +291,5 @@
 #-H- LMDZORINCA_v5.2  LMDZ5 LMDZ5/trunk rev 2076
 #-H- LMDZORINCA_v5.2  IOIPSL/src svn tags/v2_2_2
-#-H- LMDZORINCA_v5.2  libIGCM tag libIGCM_v2.4
+#-H- LMDZORINCA_v5.2  libIGCM tag libIGCM_v2.5
 #-M- LMDZORINCA_v5.2  Anne.Cozic@lsce.ipsl.fr
 #-C- LMDZORINCA_v5.2  IOIPSL/trunk/src			2350			8	IOIPSL/src	modeles
@@ -325,5 +325,5 @@
 #-H- IPSLCM5CHT_v5  OASIS3 rev 2258 trunk
 #-H- IPSLCM5CHT_v5  IPSLCM5CHS_v5 svn 
-#-H- IPSLCM5CHT_v5  libIGCM tag libIGCM_v2.4
+#-H- IPSLCM5CHT_v5  libIGCM tag libIGCM_v2.5
 #-M- IPSLCM5CHT_v5  anne.cozic@lsce.ipsl.fr
 #-C- IPSLCM5CHT_v5  IOIPSL/tags/v2_2_2/src		HEAD	8	IOIPSL/src	modeles
@@ -348,5 +348,5 @@
 #-C- LMDZREPR_v5  trunk                                HEAD               16 REPROBUS    modeles
 #-C- LMDZREPR_v5  CONFIG/UNIFORM/v5/LMDZREPR_v5        HEAD               8  LMDZREPR_v5 config
-#-C- LMDZREPR_v5  tags/libIGCM_v2.4                    HEAD               10 libIGCM     .
+#-C- LMDZREPR_v5  tags/libIGCM_v2.5                    HEAD               10 libIGCM     .
 
 
@@ -363,5 +363,5 @@
 #-H- IPSLCM5CHS_v5  OASIS3 rev 2258 trunk
 #-H- IPSLCM5CHS_v5  IPSLCM5CHS_v5 svn 
-#-H- IPSLCM5CHS_v5  libIGCM tag libIGCM_v2.4
+#-H- IPSLCM5CHS_v5  libIGCM tag libIGCM_v2.5
 #-M- IPSLCM5CHS_v5  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5CHS_v5  IOIPSL/tags/v2_2_2/src          HEAD         8  IOIPSL/src     modeles
@@ -370,5 +370,5 @@
 #-C- IPSLCM5CHS_v5  LMDZ5/trunk                     2076        11  LMDZ           modeles
 #-C- IPSLCM5CHS_v5  CONFIG/UNIFORM/v5/IPSLCM5CHS_v5 HEAD         8  IPSLCM5CHS_v5  config
-#-C- IPSLCM5CHS_v5  tags/libIGCM_v2.4               HEAD        10  libIGCM        .
+#-C- IPSLCM5CHS_v5  tags/libIGCM_v2.5               HEAD        10  libIGCM        .
 #-C- IPSLCM5CHS_v5  branches/CMIP5_IPSL/NEMO        3205         7  .              modeles
 #-C- IPSLCM5CHS_v5  branches/CMIP5_IPSL/UTIL        3405         7  .              modeles
@@ -383,8 +383,8 @@
 #-H- ORCHIDEE_SVN_AR5 ORCHIDEE tag ORCHIDEE_1_9_5
 #-H- ORCHIDEE_SVN_AR5 IOIPSL with tag 2.2.2
-#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.4
+#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.5
 #-M- ORCHIDEE_SVN_AR5 Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_AR5 IOIPSL/tags/v2_2_2/src			   HEAD        8  IOIPSL/src			modeles
-#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.4    		       	   HEAD       10  libIGCM         		.
+#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.5    		       	   HEAD       10  libIGCM         		.
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE                 HEAD       14  ORCHIDEE			modeles
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE_OL              HEAD       14  ORCHIDEE_OL			modeles
@@ -399,8 +399,8 @@
 #-H- ORCHIDEE_TAG ORCHIDEE tag ORCHIDEE_1_9_6
 #-H- ORCHIDEE_TAG IOIPSL tag v2_2_2 
-#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.4
+#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.5
 #-M- ORCHIDEE_TAG Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_TAG IOIPSL/tags/v2_2_2/src	               HEAD        8 IOIPSL/src			modeles
-#-C- ORCHIDEE_TAG tags/libIGCM_v2.4          		       HEAD       10 libIGCM			.
+#-C- ORCHIDEE_TAG tags/libIGCM_v2.5          		       HEAD       10 libIGCM			.
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE                 HEAD       14 ORCHIDEE			modeles
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE_OL              HEAD       14 ORCHIDEE_OL		modeles
@@ -418,8 +418,8 @@
 #-H- ORCHIDEE_SVN_DEV  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_DEV  IOIPSL tag v2.2.2
-#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.4
+#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.5
 #-M- ORCHIDEE_SVN_DEV  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_DEV  IOIPSL/tags/v2_2_2/src                   HEAD    8 IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.4                        HEAD   10 libIGCM         .
+#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.5                        HEAD   10 libIGCM         .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE                 ?       14 .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL              ?       14 .
@@ -437,8 +437,8 @@
 #-H- ORCHIDEE_trunk  ORCHIDEE trunk HEAD (possible to be use with rev 1042 or later)
 #-H- ORCHIDEE_trunk  IOIPSL tag v2_2_2 
-#-H- ORCHIDEE_trunk  libIGCM tag v2.4 
+#-H- ORCHIDEE_trunk  libIGCM tag v2.5 
 #-M- ORCHIDEE_trunk  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_2/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_trunk  tags/libIGCM_v2.4                        HEAD    10 libIGCM            .
+#-C- ORCHIDEE_trunk  tags/libIGCM_v2.5                        HEAD    10 libIGCM            .
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE                           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE_OL                        HEAD    14 ORCHIDEE_OL        config
@@ -456,5 +456,5 @@
 #-H- NEMO  XMLF90 svn trunk revision 420
 #-H- NEMO  XMLIO_SERVER svn trunk revision 420
-#-H- NEMO  libIGCM tag libIGCM_v2.4
+#-H- NEMO  libIGCM tag libIGCM_v2.5
 #-M- NEMO  nemo_st@locean-ipsl.upmc.fr
 #-C- NEMO  IOIPSL/tags/v2_2_1/src                             HEAD  8  IOIPSL/src             modeles
@@ -463,5 +463,5 @@
 #-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLF90                HEAD  7  XMLF90/external        modeles
 #-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLIO_SERVER          HEAD  7  XMLIO_SERVER/external  modeles
-#-C- NEMO  tags/libIGCM_v2.4                                  HEAD  10 libIGCM                .
+#-C- NEMO  tags/libIGCM_v2.5                                  HEAD  10 libIGCM                .
 #-C- NEMO  branches/CMIP5_IPSL/AGRIF                          HEAD  7  .                      modeles
 #-C- NEMO  branches/CMIP5_IPSL/NEMO                           HEAD  7  .                      modeles
@@ -480,7 +480,7 @@
 
 #-H- NEMOGCM  NEMOGCM  in forced mode   version since v3.4  Compilation using FCM
-#-H- NEMOGCM  libIGCM tag libIGCM_v2.4
+#-H- NEMOGCM  libIGCM tag libIGCM_v2.5
 #-M- NEMOGCM  Christian.Ethe@ipsl.jussieu.fr
-#-C- NEMOGCM  tags/libIGCM_v2.4                                                          HEAD  10 libIGCM                 .
+#-C- NEMOGCM  tags/libIGCM_v2.5                                                          HEAD  10 libIGCM                 .
 #-C- NEMOGCM  branches/2012/dev_v3_4_STABLE_2012/NEMOGCM                                 HEAD  7  .                       modeles
 #-C- NEMOGCM  branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00         HEAD  7  ORCA2_LIM/IGCM00        config